<%@LANGUAGE=VBScript %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Marblecore Imaging ASP VBScript Example</title>
</head>
<body>
<h1>Marblecore Imaging ASP VBScript Example</h1>

This example shows how to use the Marblecore Imaging ATL component in ASP. To display the images the <a href="http://www.marblecore.com/documentation/imaging/methods/savetobase64/" target="_blank">SaveToBase64</a> method is used to embed images directly in the HTML page.

<%
	Dim Imaging
	Dim sImage

	Set Imaging = Server.CreateObject("Marblecore.Imaging")

	' Have a license? Uncomment the following line and supply your product key and license code...
	'Imaging.LicenseVerify "<Product key>", "<License code>"

	sImage = Server.MapPath("example.jpg")

	' Load the specified image
	If Imaging.LoadFromFile(sImage) Then

%><div>&nbsp;</div><div><b>Original image (inserted using base64 embedding):</b></div><div><img src="data:<%=Imaging.MIME%>;base64,<%=Imaging.SaveToBase64%>" alt="Base64 encoded image" width="<%=Imaging.Width%>" height="<%=Imaging.Height%>" /></div><%

		' Create a thumbnail and embed the result image
		Imaging.Thumbnail 200, 200, "Skew3D"
%><div>&nbsp;</div><div><b>Thumbnail with effect:</b></div><div><img src="data:<%=Imaging.MIME%>;base64,<%=Imaging.SaveToBase64%>" alt="Base64 encoded image" width="<%=Imaging.Width%>" height="<%=Imaging.Height%>" /></div><%

		' Reload the original image, apply the Oilpaint filter and embed the result image
		Imaging.LoadFromFile(Imaging.FilePath)
		Imaging.FilterOilPaint

%><div>&nbsp;</div><div><b>Oilpaint filter:</b></div><div><img src="data:<%=Imaging.MIME%>;base64,<%=Imaging.SaveToBase64%>" alt="Base64 encoded image" width="<%=Imaging.Width%>" height="<%=Imaging.Height%>" /></div><%

	End If
%>

</body>
</html>
